Claim nodeId into publisherId for the authenticated publisher
curl --request POST \
--url https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/claim-my-node \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"GH_TOKEN": "<string>"
}
'import requests
url = "https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/claim-my-node"
payload = { "GH_TOKEN": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({GH_TOKEN: '<string>'})
};
fetch('https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/claim-my-node', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Registry
Claim nodeId into publisherId for the authenticated publisher
This endpoint allows a publisher to claim an unclaimed node that they own the repo, which is identified by the nodeId. The unclaimed node’s repository must be owned by the authenticated user.
POST
/
publishers
/
{publisherId}
/
nodes
/
{nodeId}
/
claim-my-node
Claim nodeId into publisherId for the authenticated publisher
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
GitHub token to verify if the user owns the repo of the node
Response
Node claimed successfully
Was this page helpful?
⌘I